Submit a durable input response
curl --request POST \
--url https://api.veryfront.com/conversations/{conversation_id}/input-requests/{input_request_id}/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"values": {}
}'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/input-requests/{input_request_id}/responses"
payload = { "values": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: {}})
};
fetch('https://api.veryfront.com/conversations/{conversation_id}/input-requests/{input_request_id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"input_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"tool_call_id": "<string>",
"kind": "form",
"title": "<string>",
"description": "<string>",
"fields": [
{}
],
"recommendations": {},
"metadata": {},
"created_at": "<string>",
"expires_at": "<string>",
"submitted_at": "<string>",
"cancelled_at": "<string>",
"expired_at": "<string>",
"latest_response": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"actor_id": "<string>",
"values": {},
"created_at": "<string>"
}
},
"input_response": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"actor_id": "<string>",
"values": {},
"created_at": "<string>"
},
"accepted": true,
"duplicate": true
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Submit a durable input response
Submits a human response for an open durable input request after verifying editor access to the conversation.
POST
/
conversations
/
{conversation_id}
/
input-requests
/
{input_request_id}
/
responses
Submit a durable input response
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Structured values submitted to the tool.
Show child attributes
Show child attributes
⌘I